package abacus.springboot.example.api.view;

import com.alibaba.fastjson.JSONObject;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "回购明细" , name = "ApiBillHgItem")
public class ApiBillHgItem {

	@Schema(description = "明细序号", required = false, hidden = true, example = "2")
	private Long id;
	
	@Schema(description = "状态", required = false, pattern = "终止：-1，待通知回购：1，已通知回购：2", example = "2")
	private int status;
	
	@Schema(description = "商品编码", required = false, example = "00001")
	private String product;
	
	@Schema(description = "商品名称", required = false, example = "钓鱼台")
	private String productname;
	
	@Schema(description = "商品规格", required = false, example = "500ml*6")
	private String spec;
	
	@Schema(description = "商品图片地址", required = false, example = "")
	private JSONObject productphoto;
	
	@Schema(description = "收货单价", required = false, example = "10")
	private double price;	
	
	@Schema(description = "入库数量", required = false, example = "1")
	private double quantity;
	
	@Schema(description = "入库件数", required = false, example = "1")
	private double numbers;
	
	@Schema(description = "回购单价", required = false, example = "100")
	private double hgprice;
	
	@Schema(description = "回购金额", required = false, example = "100")
	private double hgamount;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public JSONObject getProductphoto() {
		return productphoto;
	}

	public void setProductphoto(JSONObject productphoto) {
		this.productphoto = productphoto;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getProduct() {
		return product;
	}

	public void setProduct(String product) {
		this.product = product;
	}

	public String getProductname() {
		return productname;
	}

	public void setProductname(String productname) {
		this.productname = productname;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public double getNumbers() {
		return numbers;
	}

	public void setNumbers(double numbers) {
		this.numbers = numbers;
	}

	public double getHgprice() {
		return hgprice;
	}

	public void setHgprice(double hgprice) {
		this.hgprice = hgprice;
	}

	public double getHgamount() {
		return hgamount;
	}

	public void setHgamount(double hgamount) {
		this.hgamount = hgamount;
	}
}
